Subject: Re: bug#1077: 23.0.60; x-create-frame: (wrong-type-argument number-or-marker-p nil)

From: martin rudalics <[email-masked]>
Date: Wed, 01 Dec 2010 18:27:55 +0100

>> `menu-bar-lines'
 >>      The number of lines to allocate at the top of the frame for a menu
 >>      bar.  The default is 1.  A value of `nil' means don't display a
 >>      menu bar.  *Note Menu Bar::.  (The X toolkit and GTK allow at most
 >>      one menu bar line; they treat larger values as 1.)
 >
 >> so `nil' is a valid value and evaluating a menu bar item probably should
 >> know how to handle it.
 >
 > I think the above doc only means that the C code interprets a nil as
 > meaning  "no menu bar" when you set that frame parameter.  Whether it
 > also means that this same C code can return nil when you query this
 > parameter is not quite so clear.

I don't think it's of great importance.  From the example I gave earlier

(let ((frame (make-frame '((minibuffer . only)))))
   (frame-parameter frame 'menu-bar-lines))

the value returned by `frame-parameter' may have no relation to what is
actually displayed.

martin